Update to newest modulesync_configs [9ca280f]
[puppet_vcsrepo.git] / .travis.yml
1 #This file is generated by ModuleSync, do not edit.
2 ---
3 sudo: false
4 language: ruby
5 cache: bundler
6 script: "bundle exec rake validate lint spec"
7 matrix:
8   fast_finish: true
9   include:
10   - rvm: 2.1.6
11     dist: trusty
12     env: PUPPET_INSTALL_TYPE=agent BEAKER_debug=true BEAKER_set=docker/ubuntu-14.04
13     script: bundle exec rake beaker
14     services: docker
15     sudo: required
16   - rvm: 2.1.6
17     dist: trusty
18     env: PUPPET_INSTALL_TYPE=agent BEAKER_debug=true BEAKER_set=docker/centos-7
19     script: bundle exec rake beaker
20     services: docker
21     sudo: required
22   - rvm: 2.1.6
23     bundler_args: --without system_tests
24     env: PUPPET_GEM_VERSION="~> 4.0" STRICT_VARIABLES="yes"
25   - rvm: 2.1.5
26     bundler_args: --without system_tests
27     env: PUPPET_GEM_VERSION="~> 3.0" FUTURE_PARSER="yes"
28   - rvm: 2.1.5
29     bundler_args: --without system_tests
30     env: PUPPET_GEM_VERSION="~> 3.0"
31   - rvm: 1.9.3
32     bundler_args: --without system_tests
33     env: PUPPET_GEM_VERSION="~> 3.0"
34 notifications:
35   email: false